### Enumeration

# GLib HookFlagMask

#### Declaration

    flags GLib.HookFlagMask

#### Description [src]

Flags used internally in the `GHook` implementation.

#### Members

`G_HOOK_FLAG_ACTIVE`

  Set if the hook has not been destroyed.

  - Value: `1`
  - Available since: 2.0
`G_HOOK_FLAG_IN_CALL`

  Set if the hook is currently being run.

  - Value: `2`
  - Available since: 2.0
`G_HOOK_FLAG_RESERVED1`

  No description available.

  - Value: `4`
  - Available since: 2.0